### Method

# FwupdPlugin HidDevice get_report

since: 1.4.0

#### Declaration [src]

    gboolean
    fu_hid_device_get_report (
      FuHidDevice* self,
      guint8 value,
      guint8* buf,
      gsize bufsz,
      guint timeout,
      FuHidDeviceFlags flags,
      GError** error
    )

#### Description [src]

Calls GetReport on the hardware.

Available since: 1.4.0

#### Parameters

`value`

  Type: `guint8`

  Low byte of wValue, but unused when using `FU_HID_DEVICE_FLAG_USE_INTERRUPT_TRANSFER`.

`buf`

  Type: `guint8*`

  A mutable buffer of data to send.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`bufsz`

  Type: `gsize`

  Size of `buf`.

`timeout`

  Type: `guint`

  Timeout in ms.

`flags`

  Type: `FuHidDeviceFlags`

  HID device flags e.g. `FU_HID_DEVICE_FLAG_ALLOW_TRUNC`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.